| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ivideo/material.h File Reference

Material interface. More...

`#include "csutil/scf_interface.h"`
`#include "csutil/strset.h"`
`#include "ivideo/shader/shader.h"`

Go to the source code of this file.

## Classes
struct | iMaterial
| This class represents a material as seen from the engine view. More...
## Defines
#define | CS_MATERIAL_TEXTURE_DIFFUSE "tex diffuse"
| Name string for the material "diffuse" texture.
#define | CS_MATERIAL_VARNAME_FLATCOLOR "mat flatcolor"
| Name string for the material "flat color" shader var.

## Detailed Description

Material interface.

Definition in file material.h.